<ion-header>
  <ion-navbar>
    <ion-title>
      To do list
    </ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <ion-list>
    <ion-item class="task" *ngFor="let task of tasks">
      {{ task.taskName }}
      <div class="icon-container">
        <ion-icon name="trash" class="container-icon" (click)="deleteTask(task.id)"></ion-icon>
        <ion-icon name="checkmark" class="container-icon" [ngClass]="{ 'done': task.isDone }" (click)="updateTask(task)"></ion-icon>
      </div>
    </ion-item>
  </ion-list>
  <ion-fab right bottom>
    <button ion-fab (click)="openCreateTasksPage()"><ion-icon name="ios-add-circle-outline"></ion-icon></button>
  </ion-fab>
</ion-content>